FreetdsSqlUtil::FreetdsNumericColumn Class Reference

represents a FreeTDS-specific numeric column More...

Inheritance diagram for FreetdsSqlUtil::FreetdsNumericColumn:
[legend]

## Public Member Functions

| constructor (string n, string nt, *string qt, int sz, bool nul, *string dv, *string cm, softint bs, softint n_scale)
| creates the column from the supplied arguments
string | getNativeTypeString ()
| returns a string giving the native type of the column
Public Member Functions inherited from FreetdsSqlUtil::FreetdsColumn
| constructor (string n, string nt, *string qt, int sz, bool nul, *string dv, *string cm, softint bs)
| creates the column from the supplied arguments
private bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not
softlist | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
list | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getNativeTypeString ()
| returns a string giving the native type of the column
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...

## Additional Inherited Members

Public Attributes inherited from FreetdsSqlUtil::FreetdsColumn
int | byte_size
| byte size of the column

## Detailed Description

represents a FreeTDS-specific numeric column